
#include "config.h"

#if ENABLE(NETTV)
#include "Element.h"
#include "NetTVDocument.h"
#include "NetTVTokenizer.h"

namespace WebCore {

NetTVDocument::NetTVDocument(Frame* frame, const KURL& homeURL, const KURL& netTVURL)
: Document(frame, homeURL, NetTVDocumentClass)
, m_NetTVOnloadFinished(false)
, m_mediaplayerID(-1)
, m_homeURL(homeURL)
, m_netTVURL(netTVURL)
{
}

NetTVDocument::~NetTVDocument()
{	
	platformDestroy();
}

PassRefPtr<DocumentParser> NetTVDocument::createParser()
{
	return NetTVTokenizer::create(this);
}

} //namespace WebCOre

#endif // ENABLE(NETTV)
